{% extends 'skeleton/base.html' %} {% load static %}

<script src="{% static 'js/jquery-3.4.1.js' %}"></script>
<script src="{% static 'js/bootstrap.js' %}"></script>
<link href="{% static  'css/bootstrap.css' %}" rel="stylesheet" />
<link rel="stylesheet" href="{% static 'css/help.css' %}" />

<!-- ////////////////////////////////////////////////// -->
{% block title %} <title>Lista clientes</title> {% endblock %}
{% block manual %}
<div class="manual-icon">
  <a href="#openModal"
    ><i class="fa fa-question-circle" aria-hidden="true"></i
  ></a>
</div>
<div id="openModal" class="modalDialog">
  <div class="container-manual">
    <a href="#close" title="Close" class="close">X</a>
    <h2 class="title-manual">Manual de uso</h2>
    <p class="p-manual">
      En este momento usted se encuentra en la ventana "Lista de Clientes". Aquí
      podrá visualizar todos los clientes anteriormente ingresados. Los clientes
      se mostrarán según la fecha de ingreso de forma descendente, al lado de
      cada cliente se muestra un botón donde podrá editar los campos de un cliente en caso de ser necesario, así como su deuda.
    </p>
  </div>
</div>
{% endblock %} {% block content %} {% if request.user.is_authenticated %}

<br />

<h1 class="display-3">Lista de clientes</h1>

<br />
{{ mensaje }}
<br />
<table id="myTable" class="table table-striped table-bordered">
  <thead>
    <tr>
      <th>Nombres</th>
      <th>Apellido paterno</th>
      <th>Apellido materno</th>
      <th>Dirección</th>
      <th>Numero telefónico</th>
      <th>Email</th>
      <th>Cupo deuda</th>
      <th>Monto</th>
      <th>Fecha pago</th>
      <th>Editar Cliente</th>
      <th>Editar Deuda</th>
    </tr>
  </thead>
  <tbody>
    {% for client, debt in lista %}
    <tr>
      <td>{{ client.names}}</td>
      <td>{{ client.firstsurname}}</td>
      <td>{{ client.lastsurname}}</td>
      <td>{{ client.address}}</td>
      <td>{{ client.phone_number}}</td>
      <td>{{ client.email}}</td>
      <td>{{ client.debt_quota}}</td>
      <td>{{ debt.amount}}</td>
      <td>{{ debt.final_date}}</td>
      <td>
        <a
          type="button"
          class="btn btn-primary"
          href="/edit_client/{{ client.id }}"
        >
          <i
            class="fa fa-pencil-square-o"
            aria-hidden="true"
            style="font-size: 20px;"
          ></i>
        </a>
      </td>
      <td>
        <a
          type="button"
          class="btn btn-primary"
          href="/edit_debt/{{ debt.id }}"
        >
          <i
            class="fa fa-pencil-square-o"
            aria-hidden="true"
            style="font-size: 20px;"
          ></i>
        </a>
      </td>

      {% endfor %}
    </tr>
  </tbody>
</table>

{% else %}

{% endif %} {% endblock content %}
<!-- ////////////////////////////////////////////////// -->
